Opened 11 years ago

Closed 11 years ago

Last modified 10 years ago

#4415 closed bug (notabug)

bgiframe plugin is not merged into UI 1.7.1

Reported by: mvermilion Owned by:
Priority: critical Milestone: 1.8
Component: ui.dialog Version: 1.7.1
Keywords: bgiframe Cc:
Blocked by: Blocking:

Description

I had to manually merge in the bgiframe plugin into 1.7.1 to get it to work on ui.dialog. I have not studied the issue extensively, but you might want to look at your publish script and see if there is an issue there. Apparently this issue was previously reported for Ticket #4287, but the issue was closed and reported fixed in 1.7.1.

BTW I generated the custom 1.7.1 with Theme Roller and used the Redmond theme for all controls.

Change History (4)

comment:1 Changed 11 years ago by Scott González

Resolution: invalid
Status: newclosed

The other ticket was about a bug in the demos. The bgiframe plugin is not part of jQuery UI and therefore is not part of our release. We are planning a replacement for bgiframe as a jQuery UI plugin.

comment:2 Changed 11 years ago by mvermilion

I would suggest making this part of the official release. It's sounds like you may be planning to do this (from your response). I don't remember seeing any documentation for this component that you need a separate reference to this plugin to make the bgiframe property work. Perhaps a little documentation on this would help out others that stumble into this. Virtually all of my corporate clients (film/television biz) still use IE6, unfortunately. Therefore the vast majority of my users will require this pluggin. I'm not sure about other industries, but it seems like it's mostly us developers and home users that have the newer browsers. I've been trying for years to get my customers to upgrade, but I can't get their IT departments to approve it.

:pullshairout:

Excellent job on this release btw. This has been the only major hurdle I've found so far and I've already released 1 new product with it and have a second on the way. Thanks.

comment:3 Changed 11 years ago by mvermilion

Nevermind, looks like you have it in the documentation. I guess I missed it.

comment:4 Changed 11 years ago by rdworth

Milestone: 1.7.21.8
Note: See TracTickets for help on using tickets.